package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description : 采购合同结算周期
 * @Author : JiaYf
 * @Date: 2021-09-15 11:51
 */
@TableName("purch_contract_settle_cycle")
public class PurchContractSettleCycle extends BaseEntity {



    /** 结算周期方式 **/
    private Long settleCycleMethod;

    /** 结算周期方式字典项 **/
    @TableField(exist = false)
    private Dictionary settleCycleMethodDict;

    /** 结算周期 **/
    private Integer settleCycle;

    /** 约定回款时间 **/
    private Integer planPaybackDays;


    /** 结算最低差额 **/
    private BigDecimal settleMinAmount;


    /** 采购合同基本信息表Id **/
    private Long purchContractBasicInfoId;

    public Long getSettleCycleMethod() {
        return settleCycleMethod;
    }

    public void setSettleCycleMethod(Long settleCycleMethod) {
        this.settleCycleMethod = settleCycleMethod;
    }

    public Dictionary getSettleCycleMethodDict() {
        return settleCycleMethodDict;
    }

    public void setSettleCycleMethodDict(Dictionary settleCycleMethodDict) {
        this.settleCycleMethodDict = settleCycleMethodDict;
    }

    public Integer getSettleCycle() {
        return settleCycle;
    }

    public void setSettleCycle(Integer settleCycle) {
        this.settleCycle = settleCycle;
    }

    public Integer getPlanPaybackDays() {
        return planPaybackDays;
    }

    public void setPlanPaybackDays(Integer planPaybackDays) {
        this.planPaybackDays = planPaybackDays;
    }

    public BigDecimal getSettleMinAmount() {
        return settleMinAmount;
    }

    public void setSettleMinAmount(BigDecimal settleMinAmount) {
        this.settleMinAmount = settleMinAmount;
    }

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
}
